# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
# SPDX-License-Identifier: BSD-2-Clause

[package]
name = "timelimit"
version = { workspace = true }
rust-version = { workspace = true }
edition = { workspace = true }
authors = { workspace = true }
description = "Limit a process's absolute execution time"
license-file = { workspace = true }
readme = "README.md"
repository = { workspace = true }
homepage = { workspace = true }
keywords = ["process", "limit", "time", "timeout"]
categories = ["asynchronous"]

[package.metadata.cargo-feature-combinations]
exclude_features = ["default"]

[features]
default = ["eyre"]
eyre = ["dep:eyre"]

[dependencies]
anyhow = { workspace = true }
eyre = { workspace = true, optional = true }
log = { workspace = true }
nix = { workspace = true, features = ["signal"] }
oneshot = { workspace = true, features = ["async", "std"] }
smol = { workspace = true }
sysexits = { workspace = true }
